--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'SQL_ASCII';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: oswl_resource_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE oswl_resource_type AS ENUM (
    'vm',
    'tenant',
    'volume',
    'security_group',
    'keystone_user',
    'flavor',
    'cluster_stats'
);


ALTER TYPE public.oswl_resource_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'available',
    'unavailable'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer,
    task_uuid character varying(36)
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugins (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    cluster_id integer
);


ALTER TABLE public.cluster_plugins OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugins_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugins_id_seq OWNED BY cluster_plugins.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer,
    deployment_tasks text
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: master_node_settings; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE master_node_settings (
    id integer NOT NULL,
    master_node_uid character varying(36) NOT NULL,
    settings text
);


ALTER TABLE public.master_node_settings OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE master_node_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.master_node_settings_id_seq OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE master_node_settings_id_seq OWNED BY master_node_settings.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer,
    "primary" boolean DEFAULT false NOT NULL
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: oswl_stats; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE oswl_stats (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    created_date date NOT NULL,
    updated_time time without time zone NOT NULL,
    resource_type oswl_resource_type NOT NULL,
    resource_data text,
    resource_checksum text,
    is_sent boolean NOT NULL
);


ALTER TABLE public.oswl_stats OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE oswl_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oswl_stats_id_seq OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE oswl_stats_id_seq OWNED BY oswl_stats.id;


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer,
    "primary" boolean DEFAULT false NOT NULL
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    version character varying(32) NOT NULL,
    description character varying(400),
    releases text,
    fuel_version text,
    package_version character varying(32) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL,
    wizard_metadata text,
    is_deployable boolean DEFAULT true NOT NULL,
    deployment_tasks text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins ALTER COLUMN id SET DEFAULT nextval('cluster_plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY master_node_settings ALTER COLUMN id SET DEFAULT nextval('master_node_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY oswl_stats ALTER COLUMN id SET DEFAULT nextval('oswl_stats_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id, task_uuid) FROM stdin;
1	62f5a322f7ea607c3b3c72a181e63dd76e61c02f4f4f2ba0fec8a1f268bf3de0	master_node_settings	master_node_settings	http_request	2015-02-10 10:24:08.298708	2015-02-10 10:24:08.335225	f	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
2	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	cluster_collection	http_request	2015-02-10 10:36:54.724111	2015-02-10 10:36:54.938303	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
3	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_attributes	attributes	http_request	2015-02-10 10:36:55.146852	2015-02-10 10:36:55.247487	f	{"request_data": {"url": "/api/clusters/1/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
4	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_attributes	attributes	http_request	2015-02-10 10:37:15.317755	2015-02-10 10:37:15.411838	f	{"request_data": {"url": "/api/clusters/1/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
5	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:38:04.251399	2015-02-10 10:38:04.295969	f	{"parent_task_id": null, "output": null, "ended_with_status": "running", "operation": "check_networks", "subtasks_ids": [], "message": ""}	1	ec8cd38a-bc91-482c-8688-33d8b000078d
6	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	network_configuration	nova_network	http_request	2015-02-10 10:38:04.208435	2015-02-10 10:38:04.44843	f	{"request_data": {"url": "/api/clusters/1/network_configuration/nova_network", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	1	\N
18	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:41:21.528384	2015-02-10 10:41:21.560862	f	{"parent_task_id": null, "output": null, "ended_with_status": "running", "operation": "check_networks", "subtasks_ids": [], "message": ""}	2	a8a3ad49-0b1d-4d45-91b4-ebf15d78cbe4
8	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	verify_networks	nailgun_task	2015-02-10 10:38:06.692541	2015-02-10 10:38:06.792485	f	{"parent_task_id": null, "output": {"respond_to": "verify_networks_resp", "subtasks": [{"respond_to": "check_dhcp_resp", "method": "check_dhcp", "args": {"task_uuid": "1d1e5492-8adb-4c44-8c84-1874b20dc2f1"}, "api_version": "1.0"}], "method": "verify_networks", "args": {"nodes": [{"uid": 1}, {"uid": 2}], "task_uuid": "90367d45-1305-4087-8b8b-ed01bb04341b"}, "api_version": "1.0"}, "ended_with_status": "running", "operation": "verify_networks", "subtasks_ids": [3], "message": ""}	1	90367d45-1305-4087-8b8b-ed01bb04341b
9	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	network_verification	nova_network	http_request	2015-02-10 10:38:06.500376	2015-02-10 10:38:06.829973	f	{"request_data": {"url": "/api/clusters/1/network_configuration/nova_network/verify", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	1	\N
7	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:38:06.547408	2015-02-10 10:39:14.225236	f	{"parent_task_id": null, "output": null, "nodes_from_resp": ["1", "2"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	1	90367d45-1305-4087-8b8b-ed01bb04341b
19	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	network_configuration	nova_network	http_request	2015-02-10 10:41:21.4935	2015-02-10 10:41:21.71603	f	{"request_data": {"url": "/api/clusters/2/network_configuration/nova_network", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	2	\N
11	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:39:21.165272	2015-02-10 10:39:21.246657	f	{"parent_task_id": 4, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	1	e48d6bcd-939f-49c9-a50f-2ba8fb391370
12	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_before_deployment	nailgun_task	2015-02-10 10:39:21.267052	2015-02-10 10:39:21.46111	f	{"parent_task_id": 4, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_before_deployment"}	1	f2e4a433-9a49-47e6-a1ad-c8ed30f31e17
16	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	cluster_collection	http_request	2015-02-10 10:40:00.785025	2015-02-10 10:40:00.95992	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
17	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_attributes	attributes	http_request	2015-02-10 10:40:01.175811	2015-02-10 10:40:01.27809	f	{"request_data": {"url": "/api/clusters/2/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	2	\N
10	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deploy	nailgun_task	2015-02-10 10:39:21.066541	2015-02-10 11:15:30.080921	f	{"parent_task_id": null, "output": null, "ended_with_status": "ready", "operation": "deploy", "subtasks_ids": [], "message": ""}	1	564413b3-1d02-4c7b-8cab-4a4fb614c824
24	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:43:15.670525	2015-02-10 10:43:16.186848	f	{"parent_task_id": 12, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	2	64e966bf-2bd7-4c70-8e4b-3f77a1a5fe34
23	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deploy	nailgun_task	2015-02-10 10:43:14.939977	2015-02-10 11:45:23.163181	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "deploy", "subtasks_ids": [], "message": ""}	2	e2df2cf5-d75d-4b8e-b4dc-ab1c5c74f6f9
25	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_before_deployment	nailgun_task	2015-02-10 10:43:16.300304	2015-02-10 10:43:17.610463	f	{"parent_task_id": 12, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_before_deployment"}	2	cc675a9c-1954-4608-8128-8c45c16c96f3
15	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deploy_changes	http_request	2015-02-10 10:39:20.829399	2015-02-10 10:39:23.071267	f	{"request_data": {"url": "/api/clusters/1/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	1	\N
21	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	verify_networks	nailgun_task	2015-02-10 10:41:22.616368	2015-02-10 10:41:22.730439	f	{"parent_task_id": null, "output": {"respond_to": "verify_networks_resp", "subtasks": [{"respond_to": "check_dhcp_resp", "method": "check_dhcp", "args": {"task_uuid": "5a11222b-fd8f-4269-b8a7-e9b7d10e3927"}, "api_version": "1.0"}], "method": "verify_networks", "args": {"nodes": [{"uid": 3}, {"uid": 4}, {"uid": 5}, {"uid": 6}, {"uid": 7}], "task_uuid": "19fb757a-7a6e-4fb7-b4bf-43a7b544adc7"}, "api_version": "1.0"}, "ended_with_status": "running", "operation": "verify_networks", "subtasks_ids": [11], "message": ""}	2	19fb757a-7a6e-4fb7-b4bf-43a7b544adc7
22	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	network_verification	nova_network	http_request	2015-02-10 10:41:22.355763	2015-02-10 10:41:22.795562	f	{"request_data": {"url": "/api/clusters/2/network_configuration/nova_network/verify", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	2	\N
20	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_checking	check_networks	nailgun_task	2015-02-10 10:41:22.40272	2015-02-10 10:42:54.764362	f	{"parent_task_id": null, "output": null, "nodes_from_resp": ["6", "4", "7", "5", "3"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	2	19fb757a-7a6e-4fb7-b4bf-43a7b544adc7
13	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	provision	nailgun_task	2015-02-10 10:39:21.506402	2015-02-10 10:51:43.985849	f	{"parent_task_id": 4, "output": {"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "d50eeaa8-cd31-47fa-ade1-36e735696d33", "provisioning_info": {"engine": {"provision_method": "cobbler"}, "nodes": [{"netboot_enabled": "1", "uid": "1", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd9326f3d-f9e2f318", "disk/by-id/ata-VBOX_HARDDISK_VBd9326f3d-f9e2f318"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "image", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9419cba3-e1899080", "disk/by-id/ata-VBOX_HARDDISK_VB9419cba3-e1899080"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "image", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBce9f33c4-9f8b6b13", "disk/by-id/ata-VBOX_HARDDISK_VBce9f33c4-9f8b6b13"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "image", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "image", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "2", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB58d142f7-7220f3ef", "disk/by-id/ata-VBOX_HARDDISK_VB58d142f7-7220f3ef"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "vm", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa61339b2-35d5ae06", "disk/by-id/ata-VBOX_HARDDISK_VBa61339b2-35d5ae06"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5f9c6261-fcf645cd", "disk/by-id/ata-VBOX_HARDDISK_VB5f9c6261-fcf645cd"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "vm", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}]}}, "api_version": "1.0"}, "nodes_from_resp": ["1"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "provision"}	1	d50eeaa8-cd31-47fa-ade1-36e735696d33
14	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deployment	nailgun_task	2015-02-10 10:39:21.940369	2015-02-10 11:15:30.128372	f	{"parent_task_id": 4, "output": {"respond_to": "deploy_resp", "method": "granular_deploy", "args": {"task_uuid": "2081a7fd-d67d-4830-8199-42dda0624340", "deployment_info": [{"use_cow_images": true, "uid": "1", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": true}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "18386465587"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "primary-controller", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "1"}, {"role": "compute", "uid": "2"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1}, {"use_cow_images": true, "uid": "2", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": true}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "compute", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "1"}, {"role": "compute", "uid": "2"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1}], "pre_deployment": [], "post_deployment": [{"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}, {"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}]}, "api_version": "1.0"}, "nodes_from_resp": [], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "deployment"}	1	2081a7fd-d67d-4830-8199-42dda0624340
28	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deploy_changes	http_request	2015-02-10 10:43:13.716428	2015-02-10 10:43:33.21725	f	{"request_data": {"url": "/api/clusters/2/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	2	\N
26	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	provision	nailgun_task	2015-02-10 10:43:17.84004	2015-02-10 10:57:51.643981	f	{"parent_task_id": 12, "output": {"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "8c168037-fe8e-44ba-9d79-3df231450017", "provisioning_info": {"engine": {"provision_method": "cobbler"}, "nodes": [{"netboot_enabled": "1", "uid": "3", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5db678ea-7ab67e96", "disk/by-id/ata-VBOX_HARDDISK_VB5db678ea-7ab67e96"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "image", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdce1216f-facaac2e", "disk/by-id/ata-VBOX_HARDDISK_VBdce1216f-facaac2e"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "image", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB51175ae2-71bec21a", "disk/by-id/ata-VBOX_HARDDISK_VB51175ae2-71bec21a"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "image", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "image", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "4", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8c309629-472e9989", "disk/by-id/ata-VBOX_HARDDISK_VB8c309629-472e9989"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "vm", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa48a53a8-059bac1a", "disk/by-id/ata-VBOX_HARDDISK_VBa48a53a8-059bac1a"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBad30633f-6312c543", "disk/by-id/ata-VBOX_HARDDISK_VBad30633f-6312c543"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "vm", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "5", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa6bc42b-d8663d06", "disk/by-id/ata-VBOX_HARDDISK_VBaa6bc42b-d8663d06"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "cinder", "type": "pv", "size": 45533}, {"vg": "mongo", "type": "pv", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB048f9b20-e4e37da3", "disk/by-id/ata-VBOX_HARDDISK_VB048f9b20-e4e37da3"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "cinder", "type": "pv", "size": 42172}, {"vg": "mongo", "type": "pv", "size": 22799}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB06d654c8-8be8efb3", "disk/by-id/ata-VBOX_HARDDISK_VB06d654c8-8be8efb3"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "cinder", "type": "pv", "size": 0}, {"vg": "mongo", "type": "pv", "size": 64907}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "cinder", "volumes": []}, {"type": "vg", "id": "mongo", "volumes": [{"type": "lv", "size": 87578}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "6", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6b10e3cb-60b705b7", "disk/by-id/ata-VBOX_HARDDISK_VB6b10e3cb-60b705b7"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "mongo", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB40494ad7-bb4e4fd5", "disk/by-id/ata-VBOX_HARDDISK_VB40494ad7-bb4e4fd5"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "mongo", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB71f4f6b7-81605119", "disk/by-id/ata-VBOX_HARDDISK_VB71f4f6b7-81605119"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "mongo", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "mongo", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "7", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB668c3017-87371924", "disk/by-id/ata-VBOX_HARDDISK_VB668c3017-87371924"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "mongo", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c", "disk/by-id/ata-VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "mongo", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB50b0e742-b4948067", "disk/by-id/ata-VBOX_HARDDISK_VB50b0e742-b4948067"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "mongo", "type": "pv", "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "mongo", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}]}}, "api_version": "1.0"}, "nodes_from_resp": ["6"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "provision"}	2	8c168037-fe8e-44ba-9d79-3df231450017
29	8a68b5b86aab10f50f2d49ac19676579a5b396cb3fa7ac13a9e9b1e08cd5380d	cluster_changes	cluster_collection	http_request	2015-02-10 11:13:11.449185	2015-02-10 11:13:11.775726	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
30	8a68b5b86aab10f50f2d49ac19676579a5b396cb3fa7ac13a9e9b1e08cd5380d	cluster_attributes	attributes	http_request	2015-02-10 11:13:12.160209	2015-02-10 11:13:12.352035	f	{"request_data": {"url": "/api/clusters/3/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	3	\N
31	8a68b5b86aab10f50f2d49ac19676579a5b396cb3fa7ac13a9e9b1e08cd5380d	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 11:14:07.633079	2015-02-10 11:14:07.667948	f	{"nodes_from_resp": [], "ended_with_status": "ready", "parent_task_id": null, "subtasks_ids": [], "operation": "cluster_deletion"}	3	43493caa-e585-4d3a-90ee-09329f3707bc
32	8a68b5b86aab10f50f2d49ac19676579a5b396cb3fa7ac13a9e9b1e08cd5380d	cluster_changes	cluster_instance	http_request	2015-02-10 11:14:07.589542	2015-02-10 11:14:07.814208	f	{"request_data": {"url": "/api/clusters/3", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	3	\N
33	b0773bd458ed0e077d1cfdb06a060ee2cd24711778f4167bab76e7178341ce7e	cluster_changes	cluster_collection	http_request	2015-02-10 11:23:01.667734	2015-02-10 11:23:02.030731	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
34	b0773bd458ed0e077d1cfdb06a060ee2cd24711778f4167bab76e7178341ce7e	cluster_attributes	attributes	http_request	2015-02-10 11:23:02.649963	2015-02-10 11:23:02.864323	f	{"request_data": {"url": "/api/clusters/4/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	4	\N
35	b0773bd458ed0e077d1cfdb06a060ee2cd24711778f4167bab76e7178341ce7e	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 11:23:35.161411	2015-02-10 11:23:35.192735	f	{"nodes_from_resp": [], "ended_with_status": "ready", "parent_task_id": null, "subtasks_ids": [], "operation": "cluster_deletion"}	4	ebe63907-ca7e-4c6f-9572-aefd627a37a0
77	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_checking	check_networks	nailgun_task	2015-02-10 14:03:09.294661	2015-02-10 14:03:09.339866	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "check_networks", "subtasks_ids": [], "message": ""}	8	ac603ee3-58e6-4b99-82cf-8504cc2d1248
78	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	network_configuration	neutron	http_request	2015-02-10 14:03:09.260817	2015-02-10 14:03:09.355398	f	{"request_data": {"url": "/api/clusters/8/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "400 Bad Request", "data": {"message": "{\\"status\\": \\"error\\", \\"name\\": \\"check_networks\\", \\"cluster\\": 8, \\"result\\": [{\\"errors\\": [\\"gateway\\", \\"ip_ranges\\"], \\"ids\\": [30]}], \\"progress\\": 100, \\"message\\": \\"Address intersection between public gateway and IP range of public network.\\", \\"id\\": 35, \\"uuid\\": \\"ac603ee3-58e6-4b99-82cf-8504cc2d1248\\"}"}}}	8	\N
79	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	tasks_changes	task_instance	http_request	2015-02-10 14:03:17.995143	2015-02-10 14:03:18.008308	f	{"request_data": {"url": "/api/tasks/35", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
83	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 14:05:52.370534	2015-02-10 14:05:52.401094	f	{"nodes_from_resp": [], "ended_with_status": "ready", "parent_task_id": null, "subtasks_ids": [], "operation": "cluster_deletion"}	8	8c239ff3-d60f-4b63-9ab8-e32a330c4482
36	b0773bd458ed0e077d1cfdb06a060ee2cd24711778f4167bab76e7178341ce7e	cluster_changes	cluster_instance	http_request	2015-02-10 11:23:35.116438	2015-02-10 11:23:35.307625	f	{"request_data": {"url": "/api/clusters/4", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	4	\N
49	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_changes	provision	nailgun_task	2015-02-10 11:48:10.802745	2015-02-10 12:00:48.128599	f	{"parent_task_id": 22, "output": {"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "276c2244-7dd5-4603-9d99-a65dcb6a8cc7", "provisioning_info": {"engine": {"provision_method": "cobbler"}, "nodes": [{"netboot_enabled": "1", "uid": "8", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3b8ca5ef-9eb62032", "disk/by-id/ata-VBOX_HARDDISK_VB3b8ca5ef-9eb62032"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5bb8a8ca-77e1402b", "disk/by-id/ata-VBOX_HARDDISK_VB5bb8a8ca-77e1402b"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf04ca251-92450fdc", "disk/by-id/ata-VBOX_HARDDISK_VBf04ca251-92450fdc"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "9", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa24b75ad-7df6746c", "disk/by-id/ata-VBOX_HARDDISK_VBa24b75ad-7df6746c"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"vg": "vm", "type": "pv", "size": 45597}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0f0f8999-9251e66f", "disk/by-id/ata-VBOX_HARDDISK_VB0f0f8999-9251e66f"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeee28681-fdc9a3e4", "disk/by-id/ata-VBOX_HARDDISK_VBeee28681-fdc9a3e4"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"vg": "vm", "type": "pv", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}, {"type": "vg", "id": "vm", "volumes": [{"type": "lv", "size": 175347}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "10", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8f029d4c-2cd82409", "disk/by-id/ata-VBOX_HARDDISK_VB8f029d4c-2cd82409"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"type": "partition", "size": 0}, {"type": "partition", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa5c0d1a-dd01a59f", "disk/by-id/ata-VBOX_HARDDISK_VBaa5c0d1a-dd01a59f"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1f2d04df-691eca87", "disk/by-id/ata-VBOX_HARDDISK_VB1f2d04df-691eca87"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "sdc", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "11", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB58d142f7-7220f3ef", "disk/by-id/ata-VBOX_HARDDISK_VB58d142f7-7220f3ef"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"type": "partition", "size": 0}, {"type": "partition", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa61339b2-35d5ae06", "disk/by-id/ata-VBOX_HARDDISK_VBa61339b2-35d5ae06"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5f9c6261-fcf645cd", "disk/by-id/ata-VBOX_HARDDISK_VB5f9c6261-fcf645cd"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}, {"netboot_enabled": "1", "uid": "12", "ks_meta": {"mco_enable": 1, "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd9326f3d-f9e2f318", "disk/by-id/ata-VBOX_HARDDISK_VBd9326f3d-f9e2f318"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "size": 19438}, {"type": "partition", "size": 0}, {"type": "partition", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9419cba3-e1899080", "disk/by-id/ata-VBOX_HARDDISK_VB9419cba3-e1899080"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBce9f33c4-9f8b6b13", "disk/by-id/ata-VBOX_HARDDISK_VBce9f33c4-9f8b6b13"], "volumes": [{"type": "boot", "size": 300}, {"type": "raid", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "size": 0}, {"type": "partition", "size": 0}, {"type": "partition", "size": 64971}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"type": "vg", "id": "os", "volumes": [{"type": "lv", "size": 15360}, {"type": "lv", "size": 4014}]}]}, "mlnx_iser_enabled": false, "mlnx_plugin_mode": "disabled", "puppet_enable": 0, "mco_connector": "rabbitmq", "fuel_version": "6.1", "mlnx_vf_num": "16", "install_log_2_syslog": 1, "timezone": "America/Los_Angeles", "puppet_auto_setup": 1, "mco_auto_setup": 1}}]}}, "api_version": "1.0"}, "nodes_from_resp": ["10", "11"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "provision"}	5	276c2244-7dd5-4603-9d99-a65dcb6a8cc7
39	4d4ad1060649858ad4b6f36ae4b6480df02259869046cb5b08545bf224008a90	cluster_changes	cluster_instance	http_request	2015-02-10 11:38:45.967732	2015-02-10 11:38:46.206189	f	{"request_data": {"url": "/api/clusters/1", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	1	\N
38	4d4ad1060649858ad4b6f36ae4b6480df02259869046cb5b08545bf224008a90	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 11:38:46.031279	2015-02-10 11:38:56.091875	f	{"parent_task_id": null, "output": {"respond_to": "remove_cluster_resp", "method": "remove_nodes", "args": {"nodes": [{"id": 1, "roles": ["controller"], "uid": 1}, {"id": 2, "roles": ["compute"], "uid": 2}], "task_uuid": "d4c98667-963e-40a3-b1e5-862e21e2f8fa"}, "api_version": "1.0"}, "nodes_from_resp": ["2", "1"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "cluster_deletion"}	1	d4c98667-963e-40a3-b1e5-862e21e2f8fa
42	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_attributes	attributes	http_request	2015-02-10 11:45:12.875957	2015-02-10 11:45:12.9838	f	{"request_data": {"url": "/api/clusters/5/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	5	\N
46	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_changes	deploy	nailgun_task	2015-02-10 11:48:10.174378	2015-02-10 12:24:35.866045	f	{"parent_task_id": null, "output": null, "ended_with_status": "ready", "operation": "deploy", "subtasks_ids": [], "message": ""}	5	4e82a1a6-cb39-487d-99f0-2edf8131e0f8
47	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_checking	check_networks	nailgun_task	2015-02-10 11:48:10.289968	2015-02-10 11:48:10.40822	f	{"parent_task_id": 22, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	5	e6246a35-aa6a-4325-b5d6-020a3052c08e
72	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	network_configuration	neutron	http_request	2015-02-10 14:02:41.311018	2015-02-10 14:02:41.405262	f	{"request_data": {"url": "/api/clusters/8/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "400 Bad Request", "data": {"message": "{\\"status\\": \\"error\\", \\"name\\": \\"check_networks\\", \\"cluster\\": 8, \\"result\\": [{\\"errors\\": [\\"gateway\\", \\"ip_ranges\\"], \\"ids\\": [30]}], \\"progress\\": 100, \\"message\\": \\"Address intersection between public gateway and IP range of public network.\\", \\"id\\": 33, \\"uuid\\": \\"deeb6a9b-2dc7-4e14-99df-4db11d3c2259\\"}"}}}	8	\N
48	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_checking	check_before_deployment	nailgun_task	2015-02-10 11:48:10.430656	2015-02-10 11:48:10.73686	f	{"parent_task_id": 22, "output": null, "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_before_deployment"}	5	aa56bf2b-502c-46d4-a060-fc8dadd519b0
74	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_checking	check_networks	nailgun_task	2015-02-10 14:03:00.485372	2015-02-10 14:03:00.529369	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "check_networks", "subtasks_ids": [], "message": ""}	8	623855af-9413-430e-8161-5c3d8a8ce120
75	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	network_verification	neutron	http_request	2015-02-10 14:03:00.452163	2015-02-10 14:03:00.538807	f	{"request_data": {"url": "/api/clusters/8/network_configuration/neutron/verify", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	8	\N
80	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_checking	check_networks	nailgun_task	2015-02-10 14:03:22.508369	2015-02-10 14:03:22.558495	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "check_networks", "subtasks_ids": [], "message": ""}	8	eb5f283a-c9cb-44ff-9534-20b066870994
81	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	network_configuration	neutron	http_request	2015-02-10 14:03:22.467019	2015-02-10 14:03:22.573375	f	{"request_data": {"url": "/api/clusters/8/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "400 Bad Request", "data": {"message": "{\\"status\\": \\"error\\", \\"name\\": \\"check_networks\\", \\"cluster\\": 8, \\"result\\": [{\\"errors\\": [\\"gateway\\", \\"ip_ranges\\"], \\"ids\\": [30]}], \\"progress\\": 100, \\"message\\": \\"Address intersection between public gateway and IP range of public network.\\", \\"id\\": 36, \\"uuid\\": \\"eb5f283a-c9cb-44ff-9534-20b066870994\\"}"}}}	8	\N
82	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	tasks_changes	task_instance	http_request	2015-02-10 14:03:27.513687	2015-02-10 14:03:27.537832	f	{"request_data": {"url": "/api/tasks/36", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
37	4d4ad1060649858ad4b6f36ae4b6480df02259869046cb5b08545bf224008a90	tasks_changes	task_instance	http_request	2015-02-10 11:36:21.415517	2015-02-10 11:36:21.485488	f	{"request_data": {"url": "/api/tasks/2", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
40	4d4ad1060649858ad4b6f36ae4b6480df02259869046cb5b08545bf224008a90	cluster_changes	cluster_collection	http_request	2015-02-10 11:44:17.365943	2015-02-10 11:44:17.748738	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
41	4d4ad1060649858ad4b6f36ae4b6480df02259869046cb5b08545bf224008a90	cluster_attributes	attributes	http_request	2015-02-10 11:44:18.030407	2015-02-10 11:44:18.222866	f	{"request_data": {"url": "/api/clusters/5/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	5	\N
44	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_checking	verify_networks	nailgun_task	2015-02-10 11:45:18.643479	2015-02-10 11:45:18.767868	f	{"parent_task_id": null, "output": {"respond_to": "verify_networks_resp", "subtasks": [{"respond_to": "check_dhcp_resp", "method": "check_dhcp", "args": {"task_uuid": "96c6a225-235d-45a3-be34-f4c01c8be0ea"}, "api_version": "1.0"}], "method": "verify_networks", "args": {"nodes": [{"uid": 8}, {"uid": 9}, {"uid": 10}, {"uid": 11}, {"uid": 12}], "task_uuid": "da8c9741-dc8c-4e71-8ac1-a74b05252abd"}, "api_version": "1.0"}, "ended_with_status": "running", "operation": "verify_networks", "subtasks_ids": [21], "message": ""}	5	da8c9741-dc8c-4e71-8ac1-a74b05252abd
45	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	network_verification	nova_network	http_request	2015-02-10 11:45:18.381142	2015-02-10 11:45:18.928785	f	{"request_data": {"url": "/api/clusters/5/network_configuration/nova_network/verify", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	5	\N
43	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_checking	check_networks	nailgun_task	2015-02-10 11:45:18.421372	2015-02-10 11:46:58.497929	f	{"parent_task_id": null, "output": null, "nodes_from_resp": ["10", "8", "11", "9", "12"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "check_networks"}	5	da8c9741-dc8c-4e71-8ac1-a74b05252abd
52	\N	operations	dump	nailgun_task	2015-02-10 12:55:27.853345	2015-02-10 12:55:27.941036	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "c00a853d-3dfb-4cc0-aff8-54807a387d4f", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "type": "command"}, {"command": "mount", "type": "command"}, {"command": "iptables -t nat -S", "type": "command"}, {"command": "iptables -t filter -S", "type": "command"}, {"command": "dmidecode", "type": "command"}, {"command": "uptime", "type": "command"}, {"command": "ps auxwwf", "type": "command"}, {"command": "pvdisplay", "type": "command"}, {"command": "docker images", "type": "command"}, {"command": "docker ps", "type": "command"}, {"command": "vgdisplay", "type": "command"}, {"command": "lvdisplay", "type": "command"}, {"command": "ip a", "type": "command"}, {"command": "ip r", "type": "command"}, {"command": "netstat -anp", "type": "command"}, {"command": "brctl show", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{}]}, "controller": {"objects": [{"command": "pcs status", "type": "command"}, {"command": "rabbitmqctl report", "type": "command"}], "hosts": [{}, {}]}, "local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "df -h", "type": "command"}, {"command": "mount", "type": "command"}, {"command": "iptables -t nat -S", "type": "command"}, {"command": "iptables -t filter -S", "type": "command"}, {"command": "dmidecode", "type": "command"}, {"command": "uptime", "type": "command"}, {"command": "ps auxwwf", "type": "command"}, {"command": "pvdisplay", "type": "command"}, {"command": "vgdisplay", "type": "command"}, {"command": "lvdisplay", "type": "command"}, {"command": "ip a", "type": "command"}, {"command": "ip r", "type": "command"}, {"command": "netstat -anp", "type": "command"}, {"command": "brctl show", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "type": "command"}, {"command": "ceph health", "type": "command"}, {"command": "ceph -s", "type": "command"}, {"command": "ceph osd tree", "type": "command"}, {"command": "cat /proc/interrupts", "type": "command"}], "hosts": [{}, {}, {}, {}, {}, {}, {}, {}, {}, {}]}}}}, "api_version": "1.0"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	c00a853d-3dfb-4cc0-aff8-54807a387d4f
57	4561fe4b86daf551d719c916a2ad938f24bb1c74665cef2c3252e827c2d5945b	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 13:27:32.241618	2015-02-10 13:27:32.274143	f	{"nodes_from_resp": [], "ended_with_status": "ready", "parent_task_id": null, "subtasks_ids": [], "operation": "cluster_deletion"}	6	cdca88de-7276-4e3b-8d2b-add613502c2e
58	4561fe4b86daf551d719c916a2ad938f24bb1c74665cef2c3252e827c2d5945b	cluster_changes	cluster_instance	http_request	2015-02-10 13:27:32.203742	2015-02-10 13:27:32.38675	f	{"request_data": {"url": "/api/clusters/6", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	6	\N
59	4561fe4b86daf551d719c916a2ad938f24bb1c74665cef2c3252e827c2d5945b	cluster_changes	cluster_collection	http_request	2015-02-10 13:29:11.309857	2015-02-10 13:29:11.489404	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
60	4561fe4b86daf551d719c916a2ad938f24bb1c74665cef2c3252e827c2d5945b	cluster_attributes	attributes	http_request	2015-02-10 13:29:11.9813	2015-02-10 13:29:12.119614	f	{"request_data": {"url": "/api/clusters/7/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	7	\N
27	db036fd81593e2df358c9b595ca7908400671655f193671702e3c237c20d30a7	cluster_changes	deployment	nailgun_task	2015-02-10 10:43:22.283515	2015-02-10 11:45:23.185808	f	{"parent_task_id": 12, "output": {"respond_to": "deploy_resp", "method": "granular_deploy", "args": {"task_uuid": "cc23f3cb-9bee-470e-bbab-2a42bee1740e", "deployment_info": [{"use_cow_images": true, "uid": "3", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "18386465587"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 300, "murano": {"enabled": false}, "role": "primary-controller", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}, {"use_cow_images": true, "uid": "4", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "compute", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}, {"use_cow_images": true, "uid": "5", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "cinder", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}, {"use_cow_images": true, "uid": "5", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "primary-mongo", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}, {"use_cow_images": true, "uid": "6", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "mongo", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}, {"use_cow_images": true, "uid": "7", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "5368709120"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 128, "images_ceph": false}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "mongo", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "3"}, {"role": "compute", "uid": "4"}, {"role": "cinder", "uid": "5"}, {"role": "primary-mongo", "uid": "5"}, {"role": "mongo", "uid": "6"}, {"role": "mongo", "uid": "7"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": true}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "use_cinder": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 2}], "pre_deployment": [], "post_deployment": [{"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}, {"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}]}, "api_version": "1.0"}, "nodes_from_resp": [], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "deployment"}	2	cc23f3cb-9bee-470e-bbab-2a42bee1740e
51	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_changes	deploy_changes	http_request	2015-02-10 11:48:09.844848	2015-02-10 11:48:13.916178	f	{"request_data": {"url": "/api/clusters/5/changes", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	5	\N
50	8ac35671e16c184bc0b429313f1ac0f01475f67d135f2571817a6362b8730b44	cluster_changes	deployment	nailgun_task	2015-02-10 11:48:11.810287	2015-02-10 12:24:35.882303	f	{"parent_task_id": 22, "output": {"respond_to": "deploy_resp", "method": "granular_deploy", "args": {"task_uuid": "6ebe6e89-9c2e-4837-87f3-7362ee65486c", "deployment_info": [{"use_cow_images": true, "uid": "8", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "0"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": true, "objects_ceph": true, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 512, "images_ceph": true}, "nova": {"state_path": "/var/lib/nova"}, "priority": 100, "murano": {"enabled": false}, "role": "primary-controller", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "8"}, {"role": "compute", "uid": "9"}, {"role": "ceph-osd", "uid": "10"}, {"role": "ceph-osd", "uid": "11"}, {"role": "ceph-osd", "uid": "12"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 5}, {"use_cow_images": true, "uid": "9", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": false, "glance": {"image_cache_max_size": "0"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": true, "objects_ceph": true, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 512, "images_ceph": true}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "compute", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "8"}, {"role": "compute", "uid": "9"}, {"role": "ceph-osd", "uid": "10"}, {"role": "ceph-osd", "uid": "11"}, {"role": "ceph-osd", "uid": "12"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 5}, {"use_cow_images": true, "uid": "10", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "0"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": true, "objects_ceph": true, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 512, "images_ceph": true}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "ceph-osd", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "8"}, {"role": "compute", "uid": "9"}, {"role": "ceph-osd", "uid": "10"}, {"role": "ceph-osd", "uid": "11"}, {"role": "ceph-osd", "uid": "12"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 5}, {"use_cow_images": true, "uid": "11", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "0"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": true, "objects_ceph": true, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 512, "images_ceph": true}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "ceph-osd", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "8"}, {"role": "compute", "uid": "9"}, {"role": "ceph-osd", "uid": "10"}, {"role": "ceph-osd", "uid": "11"}, {"role": "ceph-osd", "uid": "12"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 5}, {"use_cow_images": true, "uid": "12", "syslog": {"syslog_transport": "tcp"}, "libvirt_type": "qemu", "sahara": {"enabled": false}, "nsx_plugin": {"connector_type": "stt", "replication_mode": true, "metadata": {"enabled": false}}, "fail_if_error": true, "glance": {"image_cache_max_size": "0"}, "quantum_settings": {}, "openstack_version": "2014.2-6.1", "nova_quota": false, "openstack_version_prev": null, "storage": {"iser": false, "volumes_ceph": true, "objects_ceph": true, "ephemeral_ceph": false, "volumes_lvm": false, "volumes_vmdk": false, "images_vcenter": false, "vc_image_dir": "/openstack_glance", "osd_pool_size": "2", "pg_num": 512, "images_ceph": true}, "nova": {"state_path": "/var/lib/nova"}, "priority": 200, "murano": {"enabled": false}, "role": "ceph-osd", "online": true, "public_network_assignment": {"assign_to_all_nodes": false}, "nodes": [{"role": "primary-controller", "uid": "8"}, {"role": "compute", "uid": "9"}, {"role": "ceph-osd", "uid": "10"}, {"role": "ceph-osd", "uid": "11"}, {"role": "ceph-osd", "uid": "12"}], "auto_assign_floating_ip": false, "corosync": {"verified": false}, "status": "discover", "deployment_mode": "ha_compact", "heat": {"enabled": true}, "ceilometer": {"enabled": false}, "fuel_version": "6.1", "resume_guests_state_on_host_boot": true, "provision": {"image_data": {"/boot": {"container": "gzip", "format": "ext2"}, "/": {"container": "gzip", "format": "ext4"}}, "method": "cobbler"}, "test_vm_image": {"os_name": "cirros", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "public": "true"}, "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset"}, "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true}}, "debug": true, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 5}], "pre_deployment": [], "post_deployment": [{"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}, {"priority": null, "fail_on_error": null, "type": null, "uids": [null], "parameters": {}}]}, "api_version": "1.0"}, "nodes_from_resp": [], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "deployment"}	5	6ebe6e89-9c2e-4837-87f3-7362ee65486c
53	9b94629255485868fdee7451742d9d50f1b2d000662a8b9ebb9cd9b17169aea7	cluster_changes	cluster_collection	http_request	2015-02-10 13:17:36.398401	2015-02-10 13:17:36.634957	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
54	9b94629255485868fdee7451742d9d50f1b2d000662a8b9ebb9cd9b17169aea7	cluster_attributes	attributes	http_request	2015-02-10 13:17:37.10917	2015-02-10 13:17:37.207372	f	{"request_data": {"url": "/api/clusters/6/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	6	\N
64	99690848cc8f9a80e71dc11aaaa43556b381d5c6e39a94cc5ee29ccc0a8ee259	cluster_checking	check_networks	nailgun_task	2015-02-10 13:41:24.191368	2015-02-10 13:41:24.22306	f	{"parent_task_id": null, "output": null, "ended_with_status": "running", "operation": "check_networks", "subtasks_ids": [], "message": ""}	7	9b492827-ca51-4a33-aecb-e3f77494e1c0
56	9b94629255485868fdee7451742d9d50f1b2d000662a8b9ebb9cd9b17169aea7	cluster_changes	cluster_instance	http_request	2015-02-10 13:18:32.679206	2015-02-10 13:18:32.992012	f	{"request_data": {"url": "/api/clusters/5", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	5	\N
55	9b94629255485868fdee7451742d9d50f1b2d000662a8b9ebb9cd9b17169aea7	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 13:18:32.745011	2015-02-10 13:18:38.619891	f	{"parent_task_id": null, "output": {"respond_to": "remove_cluster_resp", "method": "remove_nodes", "args": {"nodes": [{"id": 8, "roles": ["controller"], "uid": 8}, {"id": 9, "roles": ["compute"], "uid": 9}, {"id": 10, "roles": ["ceph-osd"], "uid": 10}, {"id": 11, "roles": ["ceph-osd"], "uid": 11}, {"id": 12, "roles": ["ceph-osd"], "uid": 12}], "task_uuid": "663215b2-0b83-4682-97b4-63e9420c40fa"}, "api_version": "1.0"}, "nodes_from_resp": ["10", "11", "12", "9", "8"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "cluster_deletion"}	5	663215b2-0b83-4682-97b4-63e9420c40fa
61	995f56d9d2b53c9254257bd5560059ac8790c6ae3f4546d2f5e53acb4dfa8a6c	cluster_checking	check_networks	nailgun_task	2015-02-10 13:38:42.386248	2015-02-10 13:38:42.418398	f	{"parent_task_id": null, "output": null, "ended_with_status": "running", "operation": "check_networks", "subtasks_ids": [], "message": ""}	7	de6b5357-1bbd-4d3b-bc7a-7e5998976c2d
62	995f56d9d2b53c9254257bd5560059ac8790c6ae3f4546d2f5e53acb4dfa8a6c	network_configuration	neutron	http_request	2015-02-10 13:38:42.347346	2015-02-10 13:38:42.562912	f	{"request_data": {"url": "/api/clusters/7/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	7	\N
63	24feb07dbba4807c16abb35ada89e36da0f2342fe172116d47922c3a495510fa	tasks_changes	task_instance	http_request	2015-02-10 13:38:56.709964	2015-02-10 13:38:56.722654	f	{"request_data": {"url": "/api/tasks/30", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
65	99690848cc8f9a80e71dc11aaaa43556b381d5c6e39a94cc5ee29ccc0a8ee259	network_configuration	neutron	http_request	2015-02-10 13:41:24.152726	2015-02-10 13:41:24.364416	f	{"request_data": {"url": "/api/clusters/7/network_configuration/neutron", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	7	\N
66	d0b2df35b87afd3c5c7eecb6f93d94c72d7ac0fc858c4adf07dd1707bef4b216	tasks_changes	task_instance	http_request	2015-02-10 13:49:31.295368	2015-02-10 13:49:31.308369	f	{"request_data": {"url": "/api/tasks/31", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
67	d0b2df35b87afd3c5c7eecb6f93d94c72d7ac0fc858c4adf07dd1707bef4b216	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 13:49:38.622203	2015-02-10 13:49:38.652693	f	{"nodes_from_resp": [], "ended_with_status": "ready", "parent_task_id": null, "subtasks_ids": [], "operation": "cluster_deletion"}	7	9164c73b-d18c-4a61-8945-6476c52e8278
68	d0b2df35b87afd3c5c7eecb6f93d94c72d7ac0fc858c4adf07dd1707bef4b216	cluster_changes	cluster_instance	http_request	2015-02-10 13:49:38.586886	2015-02-10 13:49:38.754069	f	{"request_data": {"url": "/api/clusters/7", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	7	\N
69	d0b2df35b87afd3c5c7eecb6f93d94c72d7ac0fc858c4adf07dd1707bef4b216	cluster_changes	cluster_collection	http_request	2015-02-10 13:49:47.593691	2015-02-10 13:49:47.771369	f	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
70	d0b2df35b87afd3c5c7eecb6f93d94c72d7ac0fc858c4adf07dd1707bef4b216	cluster_attributes	attributes	http_request	2015-02-10 13:49:48.051966	2015-02-10 13:49:48.199003	f	{"request_data": {"url": "/api/clusters/8/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	8	\N
71	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_checking	check_networks	nailgun_task	2015-02-10 14:02:41.348125	2015-02-10 14:02:41.390976	f	{"parent_task_id": null, "output": null, "ended_with_status": "error", "operation": "check_networks", "subtasks_ids": [], "message": ""}	8	deeb6a9b-2dc7-4e14-99df-4db11d3c2259
73	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	tasks_changes	task_instance	http_request	2015-02-10 14:03:00.300879	2015-02-10 14:03:00.314299	f	{"request_data": {"url": "/api/tasks/33", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
76	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	tasks_changes	task_instance	http_request	2015-02-10 14:03:02.683142	2015-02-10 14:03:02.695751	f	{"request_data": {"url": "/api/tasks/34", "http_method": "DELETE", "data": {}}, "response_data": {"status": "204 No Content", "data": {}}}	\N	\N
84	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_changes	cluster_instance	http_request	2015-02-10 14:05:52.33326	2015-02-10 14:05:52.508375	f	{"request_data": {"url": "/api/clusters/8", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	8	\N
86	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_changes	cluster_instance	http_request	2015-02-10 14:05:58.806369	2015-02-10 14:05:59.001048	f	{"request_data": {"url": "/api/clusters/2", "http_method": "DELETE", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	2	\N
85	90e3f26613e80ca04dde3e44a11aa2d18269da10c1c25a697597c2da9a6fd5c8	cluster_changes	cluster_deletion	nailgun_task	2015-02-10 14:05:58.867068	2015-02-10 14:06:04.060047	f	{"parent_task_id": null, "output": {"respond_to": "remove_cluster_resp", "method": "remove_nodes", "args": {"nodes": [{"id": 3, "roles": ["controller"], "uid": 3}, {"id": 4, "roles": ["compute"], "uid": 4}, {"id": 5, "roles": ["cinder", "mongo"], "uid": 5}, {"id": 6, "roles": ["mongo"], "uid": 6}, {"id": 7, "roles": ["mongo"], "uid": 7}], "task_uuid": "1b761054-3e77-455b-b344-d6aff9d07dd6"}, "api_version": "1.0"}, "nodes_from_resp": ["4", "5", "7", "6", "3"], "ended_with_status": "ready", "message": "", "subtasks_ids": [], "operation": "cluster_deletion"}	2	1b761054-3e77-455b-b344-d6aff9d07dd6
87	\N	operations	dump	nailgun_task	2015-02-10 14:24:48.81857	2015-02-10 14:24:48.871682	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "cb5b66d4-e716-4908-8c9e-33fa9820aea9", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "type": "command"}, {"command": "mount", "type": "command"}, {"command": "iptables -t nat -S", "type": "command"}, {"command": "iptables -t filter -S", "type": "command"}, {"command": "dmidecode", "type": "command"}, {"command": "uptime", "type": "command"}, {"command": "ps auxwwf", "type": "command"}, {"command": "pvdisplay", "type": "command"}, {"command": "docker images", "type": "command"}, {"command": "docker ps", "type": "command"}, {"command": "vgdisplay", "type": "command"}, {"command": "lvdisplay", "type": "command"}, {"command": "ip a", "type": "command"}, {"command": "ip r", "type": "command"}, {"command": "netstat -anp", "type": "command"}, {"command": "brctl show", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{}]}, "controller": {"objects": [{"command": "pcs status", "type": "command"}, {"command": "rabbitmqctl report", "type": "command"}], "hosts": []}, "local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "df -h", "type": "command"}, {"command": "mount", "type": "command"}, {"command": "iptables -t nat -S", "type": "command"}, {"command": "iptables -t filter -S", "type": "command"}, {"command": "dmidecode", "type": "command"}, {"command": "uptime", "type": "command"}, {"command": "ps auxwwf", "type": "command"}, {"command": "pvdisplay", "type": "command"}, {"command": "vgdisplay", "type": "command"}, {"command": "lvdisplay", "type": "command"}, {"command": "ip a", "type": "command"}, {"command": "ip r", "type": "command"}, {"command": "netstat -anp", "type": "command"}, {"command": "brctl show", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "type": "command"}, {"command": "ceph health", "type": "command"}, {"command": "ceph -s", "type": "command"}, {"command": "ceph osd tree", "type": "command"}, {"command": "cat /proc/interrupts", "type": "command"}], "hosts": []}}}}, "api_version": "1.0"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	cb5b66d4-e716-4908-8c9e-33fa9820aea9
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 87, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
37608259013
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 8, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 54, true);


--
-- Data for Name: cluster_plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugins (id, plugin_id, cluster_id) FROM stdin;
\.


--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugins_id_seq', 1, false);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id, deployment_tasks) FROM stdin;
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 8, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 45, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 73, true);


--
-- Data for Name: master_node_settings; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY master_node_settings (id, master_node_uid, settings) FROM stdin;
1	ba4ada8a-da2c-4666-b1f1-0023c10957a7	{"statistics": {"send_user_info": {"restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "type": "checkbox", "value": false, "weight": 20, "label": "statistics.setting_labels.send_user_info"}, "name": {"regex": {"source": "\\\\S", "error": "statistics.errors.name"}, "restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "fuel_settings:statistics.send_user_info.value == false"}, {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "weight": 30, "value": "", "label": "statistics.setting_labels.name", "type": "text"}, "company": {"regex": {"source": "\\\\S", "error": "statistics.errors.company"}, "restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "fuel_settings:statistics.send_user_info.value == false"}, {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "weight": 50, "value": "", "label": "statistics.setting_labels.company", "type": "text"}, "user_choice_saved": {"type": "hidden", "value": true}, "send_anonymous_statistic": {"type": "checkbox", "value": true, "weight": 10, "label": "statistics.setting_labels.send_anonymous_statistic"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+[\\\\.][0-9a-z]+$", "error": "statistics.errors.email"}, "restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "fuel_settings:statistics.send_user_info.value == false"}, {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "weight": 40, "value": "", "label": "statistics.setting_labels.email", "type": "text"}}}
\.


--
-- Name: master_node_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('master_node_settings_id_seq', 1, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 105, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
1	fuelweb_admin	\N	\N	10.20.0.0/24	\N	{"notation": "ip_ranges", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": true, "render_addr_mask": null, "map_priority": 0}	\N
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 33, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 8, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
13	13	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd9326f3d-f9e2f318", "disk/by-id/ata-VBOX_HARDDISK_VBd9326f3d-f9e2f318"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9419cba3-e1899080", "disk/by-id/ata-VBOX_HARDDISK_VB9419cba3-e1899080"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBce9f33c4-9f8b6b13", "disk/by-id/ata-VBOX_HARDDISK_VBce9f33c4-9f8b6b13"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
16	16	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB58d142f7-7220f3ef", "disk/by-id/ata-VBOX_HARDDISK_VB58d142f7-7220f3ef"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa61339b2-35d5ae06", "disk/by-id/ata-VBOX_HARDDISK_VBa61339b2-35d5ae06"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5f9c6261-fcf645cd", "disk/by-id/ata-VBOX_HARDDISK_VB5f9c6261-fcf645cd"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
14	14	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8f029d4c-2cd82409", "disk/by-id/ata-VBOX_HARDDISK_VB8f029d4c-2cd82409"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa5c0d1a-dd01a59f", "disk/by-id/ata-VBOX_HARDDISK_VBaa5c0d1a-dd01a59f"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1f2d04df-691eca87", "disk/by-id/ata-VBOX_HARDDISK_VB1f2d04df-691eca87"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdc", "size": 65535}]	{}
18	18	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5db678ea-7ab67e96", "disk/by-id/ata-VBOX_HARDDISK_VB5db678ea-7ab67e96"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdce1216f-facaac2e", "disk/by-id/ata-VBOX_HARDDISK_VBdce1216f-facaac2e"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB51175ae2-71bec21a", "disk/by-id/ata-VBOX_HARDDISK_VB51175ae2-71bec21a"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
15	15	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3b8ca5ef-9eb62032", "disk/by-id/ata-VBOX_HARDDISK_VB3b8ca5ef-9eb62032"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5bb8a8ca-77e1402b", "disk/by-id/ata-VBOX_HARDDISK_VB5bb8a8ca-77e1402b"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf04ca251-92450fdc", "disk/by-id/ata-VBOX_HARDDISK_VBf04ca251-92450fdc"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
17	17	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa24b75ad-7df6746c", "disk/by-id/ata-VBOX_HARDDISK_VBa24b75ad-7df6746c"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0f0f8999-9251e66f", "disk/by-id/ata-VBOX_HARDDISK_VB0f0f8999-9251e66f"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeee28681-fdc9a3e4", "disk/by-id/ata-VBOX_HARDDISK_VBeee28681-fdc9a3e4"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
20	20	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8c309629-472e9989", "disk/by-id/ata-VBOX_HARDDISK_VB8c309629-472e9989"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa48a53a8-059bac1a", "disk/by-id/ata-VBOX_HARDDISK_VBa48a53a8-059bac1a"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBad30633f-6312c543", "disk/by-id/ata-VBOX_HARDDISK_VBad30633f-6312c543"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
19	19	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa6bc42b-d8663d06", "disk/by-id/ata-VBOX_HARDDISK_VBaa6bc42b-d8663d06"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB048f9b20-e4e37da3", "disk/by-id/ata-VBOX_HARDDISK_VB048f9b20-e4e37da3"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB06d654c8-8be8efb3", "disk/by-id/ata-VBOX_HARDDISK_VB06d654c8-8be8efb3"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
21	21	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6b10e3cb-60b705b7", "disk/by-id/ata-VBOX_HARDDISK_VB6b10e3cb-60b705b7"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB40494ad7-bb4e4fd5", "disk/by-id/ata-VBOX_HARDDISK_VB40494ad7-bb4e4fd5"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB71f4f6b7-81605119", "disk/by-id/ata-VBOX_HARDDISK_VB71f4f6b7-81605119"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
22	22	[{"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB668c3017-87371924", "disk/by-id/ata-VBOX_HARDDISK_VB668c3017-87371924"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sda", "size": 65535}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c", "disk/by-id/ata-VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "sdb", "size": 65535}, {"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB50b0e742-b4948067", "disk/by-id/ata-VBOX_HARDDISK_VB50b0e742-b4948067"], "free_space": 65035, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 65535}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 22, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
52	18	eth2	08:00:27:35:87:a1	100	100	\N	\N	unknown	\N
53	18	eth1	08:00:27:6c:56:87	100	100	\N	\N	unknown	\N
54	18	eth0	08:00:27:57:78:37	100	100	10.20.0.13	255.255.255.0	unknown	\N
55	19	eth2	08:00:27:d2:5c:22	100	100	\N	\N	unknown	\N
56	19	eth1	08:00:27:e4:05:80	100	100	\N	\N	unknown	\N
57	19	eth0	08:00:27:e3:3c:c0	100	100	10.20.0.11	255.255.255.0	unknown	\N
58	20	eth2	08:00:27:5f:12:84	100	100	\N	\N	unknown	\N
59	20	eth1	08:00:27:a7:62:0b	100	100	\N	\N	unknown	\N
60	20	eth0	08:00:27:d6:22:1e	100	100	10.20.0.12	255.255.255.0	unknown	\N
61	21	eth2	08:00:27:d3:20:e9	100	100	\N	\N	unknown	\N
62	21	eth1	08:00:27:fe:63:93	100	100	\N	\N	unknown	\N
63	21	eth0	08:00:27:8a:9a:6b	100	100	10.20.0.9	255.255.255.0	unknown	\N
64	22	eth2	08:00:27:a3:15:17	100	100	\N	\N	unknown	\N
65	22	eth1	08:00:27:2b:7e:c7	100	100	\N	\N	unknown	\N
66	22	eth0	08:00:27:69:da:38	100	100	10.20.0.10	255.255.255.0	unknown	\N
37	13	eth2	08:00:27:ac:fb:bf	100	100	\N	\N	unknown	\N
38	13	eth1	08:00:27:5b:e6:3f	100	100	\N	\N	unknown	\N
39	13	eth0	08:00:27:c4:2a:1b	100	100	10.20.0.4	255.255.255.0	unknown	\N
40	14	eth2	08:00:27:f9:9f:75	100	100	\N	\N	unknown	\N
41	14	eth1	08:00:27:02:3c:ac	100	100	\N	\N	unknown	\N
42	14	eth0	08:00:27:ec:0f:12	100	100	10.20.0.8	255.255.255.0	unknown	\N
43	15	eth2	08:00:27:58:d9:02	100	100	\N	\N	unknown	\N
44	15	eth1	08:00:27:33:03:3b	100	100	\N	\N	unknown	\N
45	15	eth0	08:00:27:6b:5b:5e	100	100	10.20.0.6	255.255.255.0	unknown	\N
46	16	eth2	08:00:27:ea:ee:f8	100	100	\N	\N	unknown	\N
47	16	eth1	08:00:27:63:e7:3d	100	100	\N	\N	unknown	\N
48	16	eth0	08:00:27:62:c3:e8	100	100	10.20.0.3	255.255.255.0	unknown	\N
49	17	eth2	08:00:27:ca:c4:b2	100	100	\N	\N	unknown	\N
50	17	eth1	08:00:27:2f:d6:8f	100	100	\N	\N	unknown	\N
51	17	eth0	08:00:27:8f:c5:20	100	100	10.20.0.7	255.255.255.0	unknown	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 66, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node, "primary") FROM stdin;
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 13, true);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name) FROM stdin;
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 8, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id) FROM stdin;
14	8a20744f-73f6-4da6-ace0-9eb166697ae8	\N	Untitled (0f:12)	discover	{"system": {"uuid": "D18F200A-B062-47C5-A1D2-833660224273", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:F9:9F:75", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:02:3C:AC", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.8", "mac": "08:00:27:EC:0F:12", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB1f2d04df-691eca87", "disk/by-id/ata-VBOX_HARDDISK_VB1f2d04df-691eca87"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdc", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa5c0d1a-dd01a59f", "disk/by-id/ata-VBOX_HARDDISK_VBaa5c0d1a-dd01a59f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8f029d4c-2cd82409", "disk/by-id/ata-VBOX_HARDDISK_VB8f029d4c-2cd82409"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1952}]}, "memory": {"total": 2104537088}}	08:00:27:ec:0f:12	10.20.0.8	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:23:50.456076	t	95c58cdb4f9e1e998937569d4236734b28b6ebbd	[]	{}	\N
16	0d6e4a93-feee-485a-81ac-1e0166c0b7ea	\N	Untitled (c3:e8)	discover	{"system": {"uuid": "C6360D84-1889-47C2-9DF1-B2400A1A0226", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:EA:EE:F8", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:63:E7:3D", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.3", "netmask": "255.255.255.0", "mac": "08:00:27:62:C3:E8", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5f9c6261-fcf645cd", "disk/by-id/ata-VBOX_HARDDISK_VB5f9c6261-fcf645cd"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa61339b2-35d5ae06", "disk/by-id/ata-VBOX_HARDDISK_VBa61339b2-35d5ae06"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB58d142f7-7220f3ef", "disk/by-id/ata-VBOX_HARDDISK_VB58d142f7-7220f3ef"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1937}]}, "memory": {"total": 2104537088}}	08:00:27:62:c3:e8	10.20.0.3	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:49.88947	t	e2cc7be8f55d7f8a647423695645f094b5581301	[]	{}	\N
15	d7fb4997-0a9d-449b-b8ee-e23e0c137abe	\N	Untitled (5b:5e)	discover	{"system": {"uuid": "FC8F19A2-D867-47D7-854F-77743FD93DE3", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:58:D9:02", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:33:03:3B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.6", "mac": "08:00:27:6B:5B:5E", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf04ca251-92450fdc", "disk/by-id/ata-VBOX_HARDDISK_VBf04ca251-92450fdc"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5bb8a8ca-77e1402b", "disk/by-id/ata-VBOX_HARDDISK_VB5bb8a8ca-77e1402b"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB3b8ca5ef-9eb62032", "disk/by-id/ata-VBOX_HARDDISK_VB3b8ca5ef-9eb62032"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 2104537088}}	08:00:27:6b:5b:5e	10.20.0.6	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:23.915184	t	e5802f101f39409102c7d92afa0d66f9d17b97d3	[]	{}	\N
17	6d9b2f2b-bce0-432a-84c7-e515294de2f6	\N	Untitled (c5:20)	discover	{"system": {"uuid": "B0F83C77-A693-432E-A0B0-27173FC33CF7", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:CA:C4:B2", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:2F:D6:8F", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.7", "netmask": "255.255.255.0", "mac": "08:00:27:8F:C5:20", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBeee28681-fdc9a3e4", "disk/by-id/ata-VBOX_HARDDISK_VBeee28681-fdc9a3e4"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB0f0f8999-9251e66f", "disk/by-id/ata-VBOX_HARDDISK_VB0f0f8999-9251e66f"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa24b75ad-7df6746c", "disk/by-id/ata-VBOX_HARDDISK_VBa24b75ad-7df6746c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1992}]}, "memory": {"total": 2104537088}}	08:00:27:8f:c5:20	10.20.0.7	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:29.975486	t	456b00a4e0773691dd5dd47dbe51d00f58fbbe77	[]	{}	\N
13	8af50544-3438-45b1-9937-437230c0a654	\N	Untitled (2a:1b)	discover	{"system": {"uuid": "F6349B36-26DC-495A-8FBA-817FCA18DF34", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:AC:FB:BF", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:5B:E6:3F", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.4", "mac": "08:00:27:C4:2A:1B", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBce9f33c4-9f8b6b13", "disk/by-id/ata-VBOX_HARDDISK_VBce9f33c4-9f8b6b13"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB9419cba3-e1899080", "disk/by-id/ata-VBOX_HARDDISK_VB9419cba3-e1899080"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBd9326f3d-f9e2f318", "disk/by-id/ata-VBOX_HARDDISK_VBd9326f3d-f9e2f318"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1957}]}, "memory": {"total": 2104537088}}	08:00:27:c4:2a:1b	10.20.0.4	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:26.614801	t	b63cb922a1921b789df31fa239ef2d48e2af6b15	[]	{}	\N
19	483a0483-7739-411a-b586-33c8d600bfea	\N	Untitled (3c:c0)	discover	{"system": {"uuid": "CC3CB54F-9218-4CD7-A7C0-91492B279C0D", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:D2:5C:22", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:E4:05:80", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.11", "mac": "08:00:27:E3:3C:C0", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB06d654c8-8be8efb3", "disk/by-id/ata-VBOX_HARDDISK_VB06d654c8-8be8efb3"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB048f9b20-e4e37da3", "disk/by-id/ata-VBOX_HARDDISK_VB048f9b20-e4e37da3"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBaa6bc42b-d8663d06", "disk/by-id/ata-VBOX_HARDDISK_VBaa6bc42b-d8663d06"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1901}]}, "memory": {"total": 2104537088}}	08:00:27:e3:3c:c0	10.20.0.11	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:40.269698	t	ae63348f47f9258e15a3238d60acade628117354	[]	{}	\N
18	87067da0-2150-4466-850b-77b55060591a	\N	Untitled (78:37)	discover	{"system": {"uuid": "6901EC60-437E-4CF8-8BAD-7BD97C5871A8", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:35:87:A1", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:6C:56:87", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.13", "netmask": "255.255.255.0", "mac": "08:00:27:57:78:37", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB51175ae2-71bec21a", "disk/by-id/ata-VBOX_HARDDISK_VB51175ae2-71bec21a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBdce1216f-facaac2e", "disk/by-id/ata-VBOX_HARDDISK_VBdce1216f-facaac2e"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB5db678ea-7ab67e96", "disk/by-id/ata-VBOX_HARDDISK_VB5db678ea-7ab67e96"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1966}]}, "memory": {"total": 2104537088}}	08:00:27:57:78:37	10.20.0.13	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:10.938316	t	2741eb397c5690211d68760f1f68ce2003945df6	[]	{}	\N
20	f3609c17-01fd-4f0b-a1a9-88bdb7a4cca9	\N	Untitled (22:1e)	discover	{"system": {"uuid": "E465714A-48DC-4107-ABFD-EBFFE1EE7281", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:5F:12:84", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:A7:62:0B", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.12", "mac": "08:00:27:D6:22:1E", "netmask": "255.255.255.0", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBad30633f-6312c543", "disk/by-id/ata-VBOX_HARDDISK_VBad30633f-6312c543"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBa48a53a8-059bac1a", "disk/by-id/ata-VBOX_HARDDISK_VBa48a53a8-059bac1a"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB8c309629-472e9989", "disk/by-id/ata-VBOX_HARDDISK_VB8c309629-472e9989"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1983}]}, "memory": {"total": 2104537088}}	08:00:27:d6:22:1e	10.20.0.12	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:24.260119	t	dd7f426fba4979ecef381c3a671cae8a4cb72b9a	[]	{}	\N
21	2020de36-5df6-43c7-b31a-27821737ed81	\N	Untitled (9a:6b)	discover	{"system": {"uuid": "E58973C2-DC73-4387-9477-FE20BF29AE63", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:D3:20:E9", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:FE:63:93", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.9", "netmask": "255.255.255.0", "mac": "08:00:27:8A:9A:6B", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB71f4f6b7-81605119", "disk/by-id/ata-VBOX_HARDDISK_VB71f4f6b7-81605119"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB40494ad7-bb4e4fd5", "disk/by-id/ata-VBOX_HARDDISK_VB40494ad7-bb4e4fd5"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB6b10e3cb-60b705b7", "disk/by-id/ata-VBOX_HARDDISK_VB6b10e3cb-60b705b7"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1991}]}, "memory": {"total": 2104537088}}	08:00:27:8a:9a:6b	10.20.0.9	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:23.874218	t	7654d586383a86e62af2954b35b405171e20d46e	[]	{}	\N
22	aebff348-fb22-4f93-ae70-2ee8cc817271	\N	Untitled (da:38)	discover	{"system": {"uuid": "1A08FE7B-30EB-43B0-BDD7-58F1B8268965", "family": "Virtual Machine", "fqdn": "bootstrap", "version": "1.2", "serial": "0", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:A3:15:17", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth2"}, {"mac": "08:00:27:2B:7E:C7", "max_speed": 100, "state": "unknown", "current_speed": 100, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.10", "netmask": "255.255.255.0", "mac": "08:00:27:69:DA:38", "max_speed": 100, "current_speed": 100}], "disks": [{"name": "sdc", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB50b0e742-b4948067", "disk/by-id/ata-VBOX_HARDDISK_VB50b0e742-b4948067"], "removable": "0", "model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 68718428160}, {"name": "sdb", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c", "disk/by-id/ata-VBOX_HARDDISK_VBf12e6d0b-8c1d5e9c"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sdb", "size": 68718428160}, {"name": "sda", "extra": ["disk/by-id/scsi-SATA_VBOX_HARDDISK_VB668c3017-87371924", "disk/by-id/ata-VBOX_HARDDISK_VB668c3017-87371924"], "removable": "0", "model": "VBOX HARDDISK", "disk": "sda", "size": 68718428160}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 0 @ 2.00GHz", "frequency": 1989}]}, "memory": {"total": 2104537088}}	08:00:27:69:da:38	10.20.0.10	\N	VirtualBox	\N	\N	0	centos	f	f	\N	\N	2015-02-10 14:24:13.410551	t	1f0dbe3268a9a745724f7bc57b7a4b7d0167a9a8	[]	{}	\N
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 22, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
28	\N	17	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 13:23:57.691879
27	\N	16	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 13:23:50.526083
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2015-02-10 10:15:52.815512
26	\N	15	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 13:23:48.335817
25	\N	14	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 13:23:46.433788
24	\N	13	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 13:23:40.808166
12	\N	\N	\N	done	Environment 'test_vcenter' and all its nodes are deleted	read	2015-02-10 11:14:07.806916
14	\N	\N	\N	done	Environment 'test' and all its nodes are deleted	read	2015-02-10 11:23:35.301099
2	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:22:11.550889
3	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:22:50.855397
13	\N	\N	\N	done	Deployment of environment 'test_ubuntu_simple_novaflat_untag_sah' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/	read	2015-02-10 11:15:29.958044
16	\N	\N	\N	done	Environment 'test_ubuntu_simple_novaflat_untag_sah' and all its nodes are deleted	read	2015-02-10 11:38:56.416829
15	\N	\N	\N	done	Successfully removed 2 node(s)	read	2015-02-10 11:38:56.065472
29	\N	\N	\N	done	Environment 'test' and all its nodes are deleted	read	2015-02-10 13:27:32.380888
21	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	read	2015-02-10 12:58:41.70952
30	\N	\N	\N	done	Environment 'test_ui' and all its nodes are deleted	read	2015-02-10 13:49:38.748077
9	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:29.779791
10	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:31.087763
11	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:34.513488
17	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 11:43:26.779517
18	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 11:43:32.820195
20	\N	\N	\N	done	Deployment of environment 'test_ubuntu_simple_novaflat_ceph_radosgw' is done. Access the OpenStack dashboard (Horizon) at http://172.16.0.2/	read	2015-02-10 12:24:35.810368
23	\N	\N	\N	done	Environment 'test_ubuntu_simple_novaflat_ceph_radosgw' and all its nodes are deleted	read	2015-02-10 13:18:38.76037
22	\N	\N	\N	done	Successfully removed 5 node(s)	read	2015-02-10 13:18:38.603299
4	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:27:50.927823
5	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:27:53.703369
6	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:13.815401
7	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:17.04847
8	\N	\N	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 10:28:18.713401
19	\N	\N	\N	error	Deployment has failed. Check these nodes:\n'Untitled (22:1e)'	read	2015-02-10 11:45:23.096371
33	\N	\N	\N	done	Environment 'test_ubuntu_simple_novavln_ceil' and all its nodes are deleted	read	2015-02-10 14:06:04.195383
32	\N	\N	\N	done	Successfully removed 5 node(s)	read	2015-02-10 14:06:04.045241
31	\N	\N	\N	done	Environment 'test_ui' and all its nodes are deleted	read	2015-02-10 14:05:52.499728
34	\N	18	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 14:10:39.174762
38	\N	22	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 14:11:32.3413
37	\N	21	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 14:11:27.190625
36	\N	20	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 14:11:22.538141
35	\N	19	\N	discover	New node is discovered: 1 CPUs / 2.0 GB RAM / 0.206 TB HDD 	read	2015-02-10 14:11:17.330993
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 38, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: oswl_stats; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY oswl_stats (id, cluster_id, created_date, updated_time, resource_type, resource_data, resource_checksum, is_sent) FROM stdin;
1	1	2015-02-10	11:32:02.778916	vm	{"current": [], "removed": {"6f25e2df-ab4f-4654-bcec-b1d42536c78d": {"status": "ACTIVE", "tenant_id": "85802eb68a984f2e9864329bf46b5eff", "created_at": "2015-02-10T11:21:48Z", "image_id": "587e8f38-1325-4985-819d-ff70476ea300", "flavor_id": "2d5689bb-120e-40f0-a7b8-0463bf345885", "power_state": 1, "time": "11:27:01.553450", "host_id": "823072fb46eedeb83d27bc625971efc9ce45d37f724d7bdf010eb8eb", "id": "6f25e2df-ab4f-4654-bcec-b1d42536c78d"}, "ef679ded-acc1-4ce6-8f85-2578f8b69937": {"status": "ACTIVE", "tenant_id": "85802eb68a984f2e9864329bf46b5eff", "created_at": "2015-02-10T11:25:33Z", "image_id": "587e8f38-1325-4985-819d-ff70476ea300", "flavor_id": "9864", "power_state": 1, "time": "11:32:02.778916", "host_id": "823072fb46eedeb83d27bc625971efc9ce45d37f724d7bdf010eb8eb", "id": "ef679ded-acc1-4ce6-8f85-2578f8b69937"}, "eca8cc27-d4e6-43c5-b74a-12ca00f30ac7": {"status": "ACTIVE", "tenant_id": "85802eb68a984f2e9864329bf46b5eff", "created_at": "2015-02-10T11:21:23Z", "image_id": "587e8f38-1325-4985-819d-ff70476ea300", "flavor_id": "35a8a8a8-3d63-4543-92aa-07cc7b589520", "power_state": 1, "time": "11:27:01.553450", "host_id": "823072fb46eedeb83d27bc625971efc9ce45d37f724d7bdf010eb8eb", "id": "eca8cc27-d4e6-43c5-b74a-12ca00f30ac7"}}, "modified": {}, "added": {"6f25e2df-ab4f-4654-bcec-b1d42536c78d": {"time": "11:22:00.027442"}, "eca8cc27-d4e6-43c5-b74a-12ca00f30ac7": {"time": "11:22:00.027442"}, "ef679ded-acc1-4ce6-8f85-2578f8b69937": {"time": "11:27:01.553450"}}}	97d170e1550eee4afc0af065b78cda302a97674c	f
2	5	2015-02-10	12:27:06.266718	vm	{"current": [], "removed": {}, "modified": {}, "added": {}}	97d170e1550eee4afc0af065b78cda302a97674c	f
\.


--
-- Name: oswl_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('oswl_stats_id_seq', 2, true);


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node, "primary") FROM stdin;
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 20, true);


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, name, title, version, description, releases, fuel_version, package_version) FROM stdin;
\.


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
1	1	{"2014.2-6.1": "http://10.20.0.2:8080/2014.2-6.1/centos/x86_64"}	rsync://10.20.0.2:/puppet/2014.2-6.1/manifests/	rsync://10.20.0.2:/puppet/2014.2-6.1/modules/
2	2	{"2014.2-6.1": "http://10.20.0.2:8080/2014.2-6.1/ubuntu/x86_64 precise main"}	rsync://10.20.0.2:/puppet/2014.2-6.1/manifests/	rsync://10.20.0.2:/puppet/2014.2-6.1/modules/
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 2, true);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions, wizard_metadata, is_deployable, deployment_tasks) FROM stdin;
2	Juno on Ubuntu 12.04.4	2014.2-6.1	This option will install the OpenStack Juno packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/ubuntu_1204_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/ubuntu_1204_amd64.img.gz", "format": "ext4"}}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 40, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "metadata": {"weight": 20, "label": "Additional Components"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "metadata": {"enabled": true, "toggleable": false, "weight": 50, "label": "Mellanox Neutron components"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "disabled", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}}, "syslog": {"syslog_port": {"regex": {"source": "^([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid Syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin username", "weight": 50, "value": "", "label": "Username", "type": "text"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "vc_datastore": {"regex": {"source": "\\\\S", "error": "Empty datastore"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Datastore associated with the datacenter.", "weight": 60, "value": "", "label": "Datastore name", "type": "text"}, "images_vcenter": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter'", {"settings:storage.images_ceph.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "vc_host": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Specify valid hostname or IPv4 address"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Hostname or IP Address of vCenter/ESXi", "weight": 45, "value": "", "label": "Hostname", "type": "text"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "vc_image_dir": {"regex": {"source": "\\\\S", "error": "Empty images directory"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "The name of the directory where the glance images will be stored in the VMware datastore.", "weight": 70, "value": "/openstack_glance", "label": "Datastore Images directory", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin password", "weight": 55, "value": "", "label": "Password", "type": "password"}, "vc_datacenter": {"regex": {"source": "\\\\S", "error": "Empty datacenter"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Inventory path to a datacenter. If you want to use ESXi host as datastore, it should be \\"ha-datacenter\\".", "weight": 65, "value": "", "label": "Datacenter name", "type": "text"}, "metadata": {"weight": 60, "label": "Storage"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@localhost", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "external_dns": {"dns_list": {"value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "type": "text", "description": "List of upstream DNS servers, separated by comma", "weight": 10, "label": "DNS list"}, "metadata": {"weight": 90, "label": "Upstream DNS"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"replication_mode": {"value": true, "type": "checkbox", "description": "", "weight": 90, "label": "NSX cluster has Service nodes"}, "nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "select"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"value": "", "type": "text", "description": "Name for Mongo replication set", "weight": 30, "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:additional_components.mongo.value == false"}], "weight": 20, "label": "External MongoDB"}}, "public_network_assignment": {"assign_to_all_nodes": {"value": false, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers and zabbix-server only", "weight": 10, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "vcenter": {"datastore_regex": {"regex": {"source": "^(\\\\S.*\\\\S|\\\\S|)$", "error": "Invalid datastore regexp"}, "description": "The Datastore regexp setting specifies the data stores to use with Compute. For example, \\"nas.*\\". If you want to use all available datastores, leave this field blank", "weight": 50, "value": "", "label": "Datastore regexp", "type": "text"}, "vlan_interface": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'nova_network' or networking_parameters:net_manager != 'VlanManager'"}], "description": "Physical ESXi host ethernet adapter for VLAN networking (e.g. vmnic1). If empty \\"vmnic0\\" is used by default", "weight": 60, "value": "", "label": "ESXi VLAN interface", "type": "text"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "vCenter admin username", "weight": 20, "value": "", "label": "Username", "type": "text"}, "host_ip": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Specify valid hostname or IPv4 address"}, "description": "Hostname or IP Address of vCenter", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "provision": {"method": {"type": "radio", "values": [{"data": "image", "description": "Copying pre-built images on a disk.", "label": "Image"}, {"data": "cobbler", "description": "Install from scratch using anaconda or debian-installer.", "label": "Classic (use anaconda or debian-installer)"}], "description": "Which provision method to use for this cluster.", "value": "cobbler", "label": "Provision method"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "type": "text", "description": "List of upstream NTP servers, separated by comma", "weight": 10, "label": "NTP servers list"}, "metadata": {"weight": 100, "label": "Upstream NTP"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "disable_offload": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'gre'"}], "description": "If set, generic segmentation offload (gso) and generic receive offload (gro) on physical nics will be disabled. See ethtool man.", "weight": 80, "value": true, "label": "Disable generic offload on physical nics", "type": "checkbox"}, "auth_key": {"value": "", "type": "textarea", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 60, "label": "Resume guests state on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"restrictions": [{"message": "Computes cannot be added to environment with vCenter hypervisor", "condition": "settings:common.libvirt_type.value == 'vcenter'"}], "name": "Compute", "limits": {"recommended": 1}, "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "restrictions": [{"message": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status == 'operational'"}, {"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "name": "Zabbix Server", "limits": {"max": 1}, "description": "Zabbix monitoring system server."}, "base-os": {"name": "Operating System", "description": "Install base Operating System without additional packages and configuration."}, "controller": {"name": "Controller", "limits": {"overrides": [{"max": 1, "message": "Multi-node environment can not have more than one controller node.", "condition": "cluster:mode == 'multinode'"}, {"recommended": 3, "message": "At least 3 controller nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "update_required": ["compute", "cinder"], "has_primary": true, "conflicts": ["compute"], "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM or VMDK should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false and settings:storage.volumes_vmdk.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "name": "Storage - Cinder", "limits": {"overrides": [{"recommended": 1, "message": "At least 1 Cinder node is recommended when Cinder LVM is selected", "condition": "settings:storage.volumes_lvm.value == true"}]}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI, VMWare vCenter, and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"update_once": ["controller"], "restrictions": [{"message": "Ceph RBD for images should be enabled in settings.", "condition": "settings:common.libvirt_type.value == 'vcenter' and settings:storage.images_ceph.value == false"}, {"message": "Ceph must be enabled in settings", "condition": "settings:common.libvirt_type.value != 'vcenter' and settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false"}], "name": "Storage - Ceph OSD", "limits": {"overrides": [{"condition": "settings:storage.volumes_ceph.value == true", "min": "settings:storage.osd_pool_size.value"}, {"condition": "settings:storage.images_ceph.value == true", "min": 1}]}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.cinder": "default"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.cinder": "default"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"bind": [{"wizard:Storage.cinder": "vcenter"}, {"wizard:Network.manager": "nova-network"}], "data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": ["settings:vcenter.vc_user.value", "settings:storage.vc_user.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": ["settings:vcenter.vc_password.value", "settings:storage.vc_password.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": ["settings:vcenter.host_ip.value", "settings:storage.vc_host.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutr_vlan_description", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "description": "dialog.create_cluster_wizard.network.neutr_gre_description", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"action": "disable", "message": "Neutron with NSX can be used with Experimental mode only. Please, look at the documentation to enable it", "condition": "not ('experimental' in version:feature_groups)"}, {"action": "none", "message": "NSX with Ubuntu was not tested properly and can be inoperable", "condition": "'experimental' in version:feature_groups and NameAndRelease.release_operating_system == 'Ubuntu' and Network.manager == 'neutron-nsx'"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "description": "dialog.create_cluster_wizard.network.neutr_nsx_description", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}, {"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"restrictions": ["Compute.hypervisor == 'vcenter'"], "bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.volumes_vmdk.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_ceph.value": false}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.images_vcenter.value": true}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}]}}, "Ready": {}}	t	[{"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig.pp", "timeout": 3600}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "netconfig"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging.pp", "timeout": 3600}, "requires": ["globals"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools.pp", "timeout": 3600}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "tools"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera.pp", "timeout": 3600}, "type": "puppet", "id": "hiera", "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals.pp", "timeout": 3600}, "requires": ["hiera"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/controller.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/compute.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["compute"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cinder.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["cinder"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph-osd.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["ceph-osd"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/mongo_primary.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-mongo"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["mongo"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/zabbix.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "zabbix"}, {"role": ["primary-controller"], "type": "shell", "id": "enable_quorum", "parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "stage": "post_deployment"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180}, "requires": ["enable_quorum"], "role": ["primary-controller"], "type": "shell", "id": "upload_cirros", "stage": "post_deployment"}, {"type": "stage", "id": "deploy"}, {"type": "stage", "id": "pre_deployment"}, {"type": "stage", "id": "post_deployment"}, {"role": ["primary-controller"], "type": "group", "id": "primary-controller", "parameters": {"strategy": {"type": "one_by_one"}}, "required_for": ["deploy"]}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy"], "type": "group", "id": "compute"}, {"role": ["zabbix-server"], "type": "group", "id": "zabbix-server", "parameters": {"strategy": {"type": "one_by_one"}}, "required_for": ["deploy"]}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["zabbix-server"], "role": ["mongo"], "required_for": ["deploy", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["mongo"], "role": ["primary-mongo"], "required_for": ["deploy", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy"], "type": "group", "id": "ceph-osd"}, {"role": ["base-os"], "type": "group", "id": "base-os", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy"]}]
1	Juno on CentOS 6.5	2014.2-6.1	This option will install the OpenStack Juno packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.20.0.2:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 40, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "metadata": {"weight": 20, "label": "Additional Components"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:additional_components.mongo.value == false"}], "weight": 20, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"weight": 10, "type": "text", "description": "List of upstream DNS servers, separated by comma", "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list"}, "metadata": {"weight": 90, "label": "Upstream DNS"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "vc_datacenter": {"regex": {"source": "\\\\S", "error": "Empty datacenter"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Inventory path to a datacenter. If you want to use ESXi host as datastore, it should be \\"ha-datacenter\\".", "weight": 65, "value": "", "label": "Datacenter name", "type": "text"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin username", "weight": 50, "value": "", "label": "Username", "type": "text"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "vc_datastore": {"regex": {"source": "\\\\S", "error": "Empty datastore"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Datastore associated with the datacenter.", "weight": 60, "value": "", "label": "Datastore name", "type": "text"}, "images_vcenter": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter'", {"settings:storage.images_ceph.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMWare vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "vc_host": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Specify valid hostname or IPv4 address"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "Hostname or IP Address of vCenter/ESXi", "weight": 45, "value": "", "label": "Hostname", "type": "text"}, "vc_image_dir": {"regex": {"source": "\\\\S", "error": "Empty images directory"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "The name of the directory where the glance images will be stored in the VMware datastore.", "weight": 70, "value": "/openstack_glance", "label": "Datastore Images directory", "type": "text"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "restrictions": [{"action": "hide", "condition": "settings:storage.images_vcenter.value == false or settings:common.libvirt_type.value != 'vcenter'"}], "description": "vCenter/ESXi admin password", "weight": 55, "value": "", "label": "Password", "type": "password"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 55, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "enabled": false, "weight": 50, "toggleable": true, "label": "VLAN Splinters"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@localhost", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([0-9]{1,4}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid Syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"replication_mode": {"weight": 90, "type": "checkbox", "description": "", "value": true, "label": "NSX cluster has Service nodes"}, "nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "select"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers and zabbix-server only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "weight": 50, "label": "Public network assignment"}}, "vcenter": {"datastore_regex": {"regex": {"source": "^(\\\\S.*\\\\S|\\\\S|)$", "error": "Invalid datastore regexp"}, "description": "The Datastore regexp setting specifies the data stores to use with Compute. For example, \\"nas.*\\". If you want to use all available datastores, leave this field blank", "weight": 50, "value": "", "label": "Datastore regexp", "type": "text"}, "vlan_interface": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'nova_network' or networking_parameters:net_manager != 'VlanManager'"}], "description": "Physical ESXi host ethernet adapter for VLAN networking (e.g. vmnic1). If empty \\"vmnic0\\" is used by default", "weight": 60, "value": "", "label": "ESXi VLAN interface", "type": "text"}, "vc_user": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "vCenter admin username", "weight": 20, "value": "", "label": "Username", "type": "text"}, "host_ip": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Specify valid hostname or IPv4 address"}, "description": "Hostname or IP Address of vCenter", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "vCenter admin password", "weight": 30, "value": "", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "provision": {"method": {"values": [{"data": "image", "description": "Copying pre-built images on a disk.", "label": "Image"}, {"data": "cobbler", "description": "Install from scratch using anaconda or debian-installer.", "label": "Classic (use anaconda or debian-installer)"}], "type": "radio", "description": "Which provision method to use for this cluster.", "value": "cobbler", "label": "Provision method"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"weight": 10, "type": "text", "description": "List of upstream NTP servers, separated by comma", "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP servers list"}, "metadata": {"weight": 100, "label": "Upstream NTP"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "disable_offload": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'gre'"}], "description": "If set, generic segmentation offload (gso) and generic receive offload (gro) on physical nics will be disabled. See ethtool man.", "weight": 80, "value": true, "label": "Disable generic offload on physical nics", "type": "checkbox"}, "auth_key": {"weight": 70, "type": "textarea", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "resume_guests_state_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "value": true, "label": "Resume guests state on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"restrictions": [{"message": "Computes cannot be added to environment with vCenter hypervisor", "condition": "settings:common.libvirt_type.value == 'vcenter'"}], "name": "Compute", "limits": {"recommended": 1}, "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "restrictions": [{"message": "MongoDB node can not be added to an operational environment.", "condition": "cluster:status == 'operational'"}, {"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "name": "Zabbix Server", "limits": {"max": 1}, "description": "Zabbix monitoring system server."}, "base-os": {"name": "Operating System", "description": "Install base Operating System without additional packages and configuration."}, "controller": {"name": "Controller", "limits": {"overrides": [{"max": 1, "message": "Multi-node environment can not have more than one controller node.", "condition": "cluster:mode == 'multinode'"}, {"recommended": 3, "message": "At least 3 controller nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "update_required": ["compute", "cinder"], "has_primary": true, "conflicts": ["compute"], "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM or VMDK should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false and settings:storage.volumes_vmdk.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "name": "Storage - Cinder", "limits": {"overrides": [{"recommended": 1, "message": "At least 1 Cinder node is recommended when Cinder LVM is selected", "condition": "settings:storage.volumes_lvm.value == true"}]}, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI, VMWare vCenter, and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"update_once": ["controller"], "restrictions": [{"message": "Ceph RBD for images should be enabled in settings.", "condition": "settings:common.libvirt_type.value == 'vcenter' and settings:storage.images_ceph.value == false"}, {"message": "Ceph must be enabled in settings", "condition": "settings:common.libvirt_type.value != 'vcenter' and settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false"}], "name": "Storage - Ceph OSD", "limits": {"overrides": [{"condition": "settings:storage.volumes_ceph.value == true", "min": "settings:storage.osd_pool_size.value"}, {"condition": "settings:storage.images_ceph.value == true", "min": 1}]}, "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.cinder": "default"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.cinder": "default"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"bind": [{"wizard:Storage.cinder": "vcenter"}, {"wizard:Network.manager": "nova-network"}], "data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": ["settings:vcenter.vc_user.value", "settings:storage.vc_user.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": ["settings:vcenter.vc_password.value", "settings:storage.vc_password.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": ["settings:vcenter.host_ip.value", "settings:storage.vc_host.value"], "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutr_vlan_description", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "description": "dialog.create_cluster_wizard.network.neutr_gre_description", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"action": "disable", "message": "Neutron with NSX can be used with Experimental mode only. Please, look at the documentation to enable it", "condition": "not ('experimental' in version:feature_groups)"}, {"action": "none", "message": "NSX with Ubuntu was not tested properly and can be inoperable", "condition": "'experimental' in version:feature_groups and NameAndRelease.release_operating_system == 'Ubuntu' and Network.manager == 'neutron-nsx'"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "description": "dialog.create_cluster_wizard.network.neutr_nsx_description", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}, {"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"restrictions": ["Compute.hypervisor == 'vcenter'"], "bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_vmdk.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.volumes_vmdk.value": true}, {"settings:storage.volumes_lvm.value": false}, {"settings:storage.volumes_ceph.value": false}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}, {"restrictions": ["Compute.hypervisor != 'vcenter'"], "bind": [{"settings:storage.images_vcenter.value": true}], "data": "vcenter", "label": "dialog.create_cluster_wizard.storage.vcenter"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}]}}, "Ready": {}}	t	[{"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig.pp", "timeout": 3600}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "netconfig"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging.pp", "timeout": 3600}, "requires": ["globals"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools.pp", "timeout": 3600}, "requires": ["logging"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "tools"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall.pp", "timeout": 3600}, "requires": ["netconfig"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera.pp", "timeout": 3600}, "type": "puppet", "id": "hiera", "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"]}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals.pp", "timeout": 3600}, "requires": ["hiera"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/controller.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/compute.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["compute"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cinder.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["cinder"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph-osd.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["ceph-osd"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/mongo_primary.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-mongo"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["mongo"], "required_for": ["deploy"], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/zabbix.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "groups": ["primary-controller", "controller", "cinder", "compute", "ceph-osd", "zabbix-server", "primary-mongo", "mongo"], "required_for": ["deploy"], "type": "puppet", "id": "zabbix"}, {"role": ["primary-controller"], "type": "shell", "id": "enable_quorum", "parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "stage": "post_deployment"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180}, "requires": ["enable_quorum"], "role": ["primary-controller"], "type": "shell", "id": "upload_cirros", "stage": "post_deployment"}, {"type": "stage", "id": "deploy"}, {"type": "stage", "id": "pre_deployment"}, {"type": "stage", "id": "post_deployment"}, {"role": ["primary-controller"], "type": "group", "id": "primary-controller", "parameters": {"strategy": {"type": "one_by_one"}}, "required_for": ["deploy"]}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy"], "type": "group", "id": "compute"}, {"role": ["zabbix-server"], "type": "group", "id": "zabbix-server", "parameters": {"strategy": {"type": "one_by_one"}}, "required_for": ["deploy"]}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["zabbix-server"], "role": ["mongo"], "required_for": ["deploy", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["mongo"], "role": ["primary-mongo"], "required_for": ["deploy", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy"], "type": "group", "id": "ceph-osd"}, {"role": ["base-os"], "type": "group", "id": "base-os", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy"]}]
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	1	zabbix-server
7	1	base-os
8	2	controller
9	2	compute
10	2	cinder
11	2	ceph-osd
12	2	mongo
13	2	zabbix-server
14	2	base-os
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 14, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
39	\N	cb5b66d4-e716-4908-8c9e-33fa9820aea9	dump	\N	running	0	{"args": {"task_uuid": "cb5b66d4-e716-4908-8c9e-33fa9820aea9", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.20.0.2"}]}, "controller": {"objects": [{"command": "pcs status", "to_file": "pcs_status.txt", "type": "command"}, {"command": "rabbitmqctl report", "to_file": "rabbitmqctl_report.txt", "type": "command"}], "hosts": []}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.20.0.2", "password": "ZdsWO6JY", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.0.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}, {"command": "cat /proc/interrupts", "to_file": "proc_interrupts.txt", "type": "command"}], "hosts": []}}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 39, true);


--
-- Name: _name_version_unique; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT _name_version_unique UNIQUE (name, version);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: master_node_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY master_node_settings
    ADD CONSTRAINT master_node_settings_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: oswl_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: ix_oswl_stats_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_cluster_id ON oswl_stats USING btree (cluster_id);


--
-- Name: ix_oswl_stats_created_date; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_created_date ON oswl_stats USING btree (created_date);


--
-- Name: ix_oswl_stats_is_sent; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_is_sent ON oswl_stats USING btree (is_sent);


--
-- Name: ix_oswl_stats_resource_type; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_resource_type ON oswl_stats USING btree (resource_type);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_plugins_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

